### Property

# Gio SocketClient:enable-proxy

since: 2.22

#### Declaration

    property enable-proxy: gboolean [ read, write, construct ]

#### Description

Enable proxy support.

Type: | `gboolean`
Available since: | 2.22

Default value | TRUE
Getter method | `g_socket_client_get_enable_proxy()`
Setter method | `g_socket_client_set_enable_proxy()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no